#!/bin/sh
#

# parse argument string, (with bash we are limited to 10 arguments)
# which is why we did it this way.
parms=`echo $1 | sed 's/::/ /g'`

PLHOME=`echo $parms | awk '{print $1}'`
PLPLOT_LIB=$PLHOME/share/plplot5.9.9
PL_LIBRARY=$PLPLOT_LIB/tcl
PLTCL=$PLHOME/bin/pltcl
export PLPLOT_LIB
export PL_LIBRARY

XCVTCL=`echo $parms | awk '{print $2}'`
LOGFILE=`echo $parms | awk '{print $3}'`

# rest of the arguments
xlabel=`echo $parms | awk '{print $4}'`
ylabel=`echo $parms | awk '{print $5}'`
zlabel=`echo $parms | awk '{print $6}'`
title=`echo $parms | awk '{print $7}'`

data=`echo $parms | awk '{print $8}'`
geom=`echo $parms | awk '{print $9}'`
mar=`echo $parms | awk '{print $10}'`
ptype=`echo $parms | awk '{print $11}'`

cont_num=`echo $parms | awk '{print $12}'`
cont_width=`echo $parms | awk '{print $13}'`
cont_color=`echo $parms | awk '{print $14}'`
cont_color_min=`echo $parms | awk '{print $15}'`
cont_color_max=`echo $parms | awk '{print $16}'`

surf_alt=`echo $parms | awk '{print $17}'`
surf_az=`echo $parms | awk '{print $18}'`

bgcolor=`echo $parms | awk '{print $19}'`
axiscolor=`echo $parms | awk '{print $20}'`
graphcolor=`echo $parms | awk '{print $21}'`
titlecolor=`echo $parms | awk '{print $22}'`

xcdev=`echo $parms | awk '{print $23}'`
options=`echo $parms | awk '{print $24,$25,$26,$27,$28,$29,$30,$31,$32}'`

###############################################################

# set postscript device if necessary
if test x$xcdev = xps; then
	xcdev=psc
fi

# first line of parms are passed to plplot, the rest are processed in plplotxcv.tcl 
cmd="$PLTCL $XCVTCL \
-log $LOGFILE \
-dev $xcdev $options -geometry $geom -mar $mar \
-xcdev $xcdev -data $data -ptype $ptype \
-cnum $cont_num -cwidth $cont_width -ccolor $cont_color \
-ccolor_min $cont_color_min -ccolor_max $cont_color_max \
-alt $surf_alt -az $surf_az \
-bgcolor $bgcolor -axiscolor $axiscolor -graphcolor $graphcolor \
-titlecolor $titlecolor \
-xlabel $xlabel -ylabel $ylabel -zlabel $zlabel -title $title"

# execute command
#echo "cmd = $cmd"
rc=`$cmd`

# check if there were errors
if test "x$rc" = "xok"; then
	echo "ok"
	exit 0
else
	echo "$rc"
	exit 1
fi
